Fixes #14498.
Change-Id: I4cfab3e45898466179cefbd31c6f7f796da82363
Reviewed-on: https://go-review.googlesource.com/19874
Reviewed-by: Brad Fitzpatrick <bradfitz@golang.org>
Run-TryBot: Brad Fitzpatrick <bradfitz@golang.org>
TryBot-Result: Gobot Gobot <gobot@golang.org>
--- /dev/null
+ program HelloWorldF90
+ write(*,*) "Hello World!"
+ end program HelloWorldF90
--- /dev/null
+#!/usr/bin/env bash
+# Copyright 2016 The Go Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style
+# license that can be found in the LICENSE file.
+
+# This directory is intended to test the use of Fortran with cgo.
+
+set -e
+
+FC=$1
+
+if ! $FC helloworld/helloworld.f90 -o main.exe >& /dev/null; then
+ echo "skipping Fortran test: could not build helloworld.f90 with $FC"
+ exit 0
+fi
+
+if ! go test; then
+ echo "FAIL: go test"
+ status=1
+fi
+
+exit $status
name: "cgo_fortran",
heading: "../misc/cgo/fortran",
fn: func(dt *distTest) error {
- t.addCmd(dt, "misc/cgo/fortran", "go", "test")
+ t.addCmd(dt, "misc/cgo/fortran", "./test.bash", fortran)
return nil
},
})